/*
 * @FilePath: /modelTRT_custom_plugin/plugins/inc/pluginFactory.hpp
 * @Brief:
 * @Version: 1.0
 * @Date: 2021-03-08 07:49:46
 * @Author: WangJiaHao
 * @Copyright: IChinae(BEIJING) TECH.CO.,LTD.
 * @LastEditors: Wangjiahao
 * @LastEditTime: 2021-03-11 05:57:33
 */
#ifndef PLUGIN_FACTORY_H_
#define PLUGIN_FACTORY_H_
#include<NvInfer.h>
#include<NvCaffeParser.h>
#include<string>
namespace nvinfer1
{
class ZDXFPluginFactory :  public nvcaffeparser1::IPluginFactoryV2
{
public:
    // caffe parser plugin implementation
    bool isPluginV2(const char* name) override;
    nvinfer1::IPluginV2IOExt* createPlugin(const char* layerName, const nvinfer1::Weights* weights, int nbWeights,
                                      const char* libNamespace) override;

private:
    bool isShuffleChannel(const std::string& layername);
    bool isSliceLayer(const std::string& layername);
    int getLayerIndex(const std::string&layername,const std::string & prefix);

};
}
#endif