/*
 * @FilePath: /modelTRT_custom_plugin/plugins/inc/sliceLayerKernel.h
 * @Brief: 
 * @Version: 1.0
 * @Date: 2021-03-10 03:17:12
 * @Author: Wangjiahao
 * @Copyright: IChinae(BEIJING) TECH.CO.,LTD.
 * @LastEditors: Wangjiahao
 * @LastEditTime: 2021-03-10 06:48:07
 */
#ifndef SLICELAYER_KERNEL_H_
#define SLICELAYER_KERNEL_H_
#include <NvInfer.h>
#include<vector>
int SliceLayerForward(const void *input,
                                    void *outputs,
                                    cudaStream_t stream,
                                    const int slice_axsis,
                                    const int slice_size,
                                    const int num_slice,
                                    const std::vector<nvinfer1::Dims>&outDims,
                                    const nvinfer1::Dims inputDims,
                                    nvinfer1::DataType dtype);
#endif